#include "StdAfx.h"
#include "StickerGroup.h"

CStickerGroup::CStickerGroup(int nGroupId)
{
	m_nGroupId = nGroupId;
	m_bSelected = FALSE;
}

CStickerGroup::~CStickerGroup(void)
{
	for (int i = 0; i < m_deque.size(); i++)
	{
		delete m_deque[i];
	}

	m_deque.clear();
}

BOOL CStickerGroup::IsExistStickerItem(/*CStickerItem* psi*/int gid,int sid)
{
	CStickerItem *p = GetStickerItem(/*psi->GetGroupId(),psi->GetStickerId()*/gid,sid);
	return (p != NULL);
}

CStickerItem* CStickerGroup::GetStickerItem(int nGroupId,int nStickerId)
{
	CStickerItem *psi = NULL;
	for (int i = 0; i < m_deque.size(); i++)
	{
		if (m_deque[i]->GetGroupId() == nGroupId
			&& m_deque[i]->GetStickerId() == nStickerId)
		{
			psi = m_deque[i];
			break;
		}
	}
	return psi;
}

void CStickerGroup::Remove(int groupid,int sid)
{
	for (DEQUE_STICKERITEM::iterator iter = m_deque.begin(); iter != m_deque.end(); ++iter)
	{
		if ((*iter)->GetGroupId() == groupid && (*iter)->GetStickerId() == sid)
		{
			CStickerItem* pItem = *iter;
			delete pItem;
			m_deque.erase(iter);
			break;
		}
	}
}

int CStickerGroup::AddFront(CStickerItem* pSticker)
{
	if (pSticker)
	{
		m_deque.push_front(pSticker);
	}

	return 0;
}

int CStickerGroup::AddTail(CStickerItem* pSticker)
{
	if (pSticker)
	{
		m_deque.push_back(pSticker);
	}
	
	return 0;
}

int CStickerGroup::GetStickerCount(void)
{
	return m_deque.size();
}

CStickerItem* CStickerGroup::GetStickerItem(int index)
{
	CStickerItem *psi = NULL;
	if (index > -1 && index < m_deque.size())
	{
		psi = m_deque[index];
	}
	return psi;
}

int CStickerGroup::GetGroupId()
{
	return m_nGroupId;
}

BOOL CStickerGroup::IsSelected()
{
	return m_bSelected;
}

void CStickerGroup::SetCurSel(BOOL bSelected)
{
	m_bSelected = bSelected;
	
}